Multi-Recipient Email Status
/api/v3/email/status Base URL https://api.easify.liveBearer token and Accept header required Authentication →
This endpoint is used to retrieve email status.
The user can retrieve the status of the email sent by the user, based on the email_id (which will get the send email response) value.
There is a rate limit of 60 requests per minute per API token. This limit is shared by all API endpoints except those with their own separate limit (/api/v2/sms/send, /api/v3/sms/send, etc.), so requests to other endpoints also count toward it. If you exceed this limit, you will receive a 429 Too Many Requests status, along with a message indicating when you can try again.
Query Parameters
| email_id string | email_id is provided in the email/send API response | Required |
| receiver string | Receiver email address to fetch the status of a particular receiver | Optional |
Example Request and Response
Request
{
"email_id": "675"
}
Success Response:
{
"status": true,
"message": "Email status successfully fetched",
"data": [
{
"email_item_id": "67908d04a22b44b431e5",
"email_id": 675,
"receiver": "easify@easify.app",
"recipient_type": "to",
"status": "Success",
"remarks": "success"
},
{
"email_item_id": "67908d04a22b44b431e6",
"email_id": 675,
"receiver": "cc@easify.app",
"recipient_type": "cc",
"status": "Success",
"remarks": "success"
},
{
"email_item_id": "67908d04a22b44b431e7",
"email_id": 675,
"receiver": "bcc@easify.app",
"recipient_type": "bcc",
"status": "Success",
"remarks": "success"
}
]
}
Response Explanation
- email_item_id: Single receiver email item id
- email_id: The email ID will be returned in the email/send API response
- recipient_type: TThe recipient type will indicate whether the recipient is in the 'To', 'CC', or 'BCC' address
Responses
| Case | Status Code | Response |
|---|---|---|
| If the user does not provide a token in the header or provides an invalid token | 401 |
{
"status":false,
"message":"Unauthenticated",
"errors":[]
}
|
| If the user's subscription has ended | 402 |
{
"status":false,"message":"You need to recharge your account to proceed","errors":[]
}
|
| If user provided invalid email_id | 400 |
{
"status": false,
"message": "Invalid email id",
"errors": []
}
|
| If the user passes an invalid receiver address that is not associated with a particular email_id | 400 |
{
"status":false,
"message":"No emails found",
"errors":[]
}
|
| If the user exceeds the allowed rate limit for requests | 429 |
{
"status":false,
"message":"Too many requests. Try again in 59 seconds",
"errors":[]
}
|
| When the user account is inactive | 403 |
{
"status": false,
"message": "Your account is currently inactive.",
"errors": []
}
|
| If the request comes from an IP address or domain that is not on the account's API whitelist | 400 |
{
"status": false,
"message": "Access denied! Your IP or domain is not whitelisted.[ HostName : ] - [ Ip Address : << YOUR_SERVER_IP >>]",
"errors": []
}
|
Email Status
| Status | Description |
|---|---|
| Processed | The email is prepared and ready to be delivered |
| Failed | The Email delivery attempt failed. This could be due to a technical issue on the service provider's end |
| Success | The Email has been successfully sent to the recipient |
| Delivered | The Email has been accepted at the receiving server |
| Open | The email has been opened by the receiver |
| Bounce | The email cannot or will not be delivered by the server. Bounces are often caused by outdated or incorrectly entered email addresses |
| Deferred | The email cannot be immediately delivered, but it hasn’t been completely rejected |
| Dropped | There are several reasons the email will not be sent to a recipient for delivery. |
The Dropped, Processed, Deferred, Bounce, Delivered, and Open statuses are only applicable for the emails sent through Easify Email Gateway.
Code Examples
php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://api.easify.live/api/v3/email/status?email_id=675',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <> ',
'Accept: application/json',
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;